org.springframework.data.support

## Enum PersistableIsNewStrategy

- java.lang.Object
- - java.lang.Enum<PersistableIsNewStrategy>
  - - org.springframework.data.support.PersistableIsNewStrategy

All Implemented Interfaces:
  Serializable, Comparable<PersistableIsNewStrategy>, IsNewStrategy

    public enum PersistableIsNewStrategy
    extends Enum<PersistableIsNewStrategy>
    implements IsNewStrategy

`IsNewStrategy` that invokes `Persistable.isNew()` on the given object.

Author:
  Oliver Gierke

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isNew(Object entity)` Returns whether the given entity is new, i.e. has never been persisted before or not.
`static PersistableIsNewStrategy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PersistableIsNewStrategy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSTANCE

    public static final PersistableIsNewStrategy INSTANCE

### Method Detail

#### values

    public static PersistableIsNewStrategy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PersistableIsNewStrategy c : PersistableIsNewStrategy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PersistableIsNewStrategy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isNew

    public boolean isNew(Object entity)

Description copied from interface: `IsNewStrategy`
Returns whether the given entity is new, i.e. has never been persisted before or not.

Specified by:
  `isNew` in interface `IsNewStrategy`
Parameters:
  `entity` - must not be null.
Returns: